<html><body><samp><pre>
<!@TC:1521740527>
#Build: Synplify Pro L-2016.09M-2, Build 065R, Nov 16 2016
#install: C:\Microsemi\Libero_SoC_v11.8\SynplifyPro
#OS: Windows 7 6.1
#Hostname: PCBE15303

# Thu Mar 22 18:42:07 2018

#Implementation: synthesis

<a name=compilerReport1></a>Synopsys HDL Compiler, version comp2016q3p1, Build 117R, built Nov 17 2016</a>
@N: : <!@TM:1521740529> | Running in 64-bit mode 
Copyright (C) 1994-2016 Synopsys, Inc. All rights reserved. This Synopsys software and all associated documentation are proprietary to Synopsys, Inc. and may only be used pursuant to the terms and conditions of a written license agreement with Synopsys, Inc. All other use, reproduction, modification, or distribution of the Synopsys software or the associated documentation is strictly prohibited.

<a name=compilerReport2></a>Synopsys Verilog Compiler, version comp2016q3p1, Build 127R, built Nov 24 2016</a>
@N: : <!@TM:1521740529> | Running in 64-bit mode 
Copyright (C) 1994-2016 Synopsys, Inc. All rights reserved. This Synopsys software and all associated documentation are proprietary to Synopsys, Inc. and may only be used pursuant to the terms and conditions of a written license agreement with Synopsys, Inc. All other use, reproduction, modification, or distribution of the Synopsys software or the associated documentation is strictly prohibited.

@I::"C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\proasic\proasic3l.v" (library work)
@I::"C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\vlog\hypermods.v" (library __hyper__lib__)
@I::"C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\vlog\umr_capim.v" (library snps_haps)
@I::"C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\vlog\scemi_objects.v" (library snps_haps)
@I::"C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\vlog\scemi_pipes.svh" (library snps_haps)
@I::"E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\HeartBeat.v" (library work)
@I::"E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\UserIoChecker.v" (library work)
@I::"E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv" (library work)
@I::"E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeSystem.sv" (library work)
@I::"E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeTop.sv" (library work)
Verilog syntax check successful!
Selecting top level module SGefeTop
@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\proasic\proasic3l.v:419:7:419:21:@N:CG364:@XP_MSG">proasic3l.v(419)</a><!@TM:1521740529> | Synthesizing module BIBUF_LVCMOS25 in library work.

@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\proasic\proasic3l.v:1003:7:1003:13:@N:CG364:@XP_MSG">proasic3l.v(1003)</a><!@TM:1521740529> | Synthesizing module DFN1C1 in library work.

@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\proasic\proasic3l.v:656:7:656:18:@N:CG364:@XP_MSG">proasic3l.v(656)</a><!@TM:1521740529> | Synthesizing module CLKBUF_LVDS in library work.

@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\proasic\proasic3l.v:1354:7:1354:17:@N:CG364:@XP_MSG">proasic3l.v(1354)</a><!@TM:1521740529> | Synthesizing module INBUF_LVDS in library work.

@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\proasic\proasic3l.v:2154:7:2154:14:@N:CG364:@XP_MSG">proasic3l.v(2154)</a><!@TM:1521740529> | Synthesizing module DDR_REG in library work.

@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\proasic\proasic3l.v:2149:7:2149:14:@N:CG364:@XP_MSG">proasic3l.v(2149)</a><!@TM:1521740529> | Synthesizing module DDR_OUT in library work.

@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\proasic\proasic3l.v:1686:7:1686:18:@N:CG364:@XP_MSG">proasic3l.v(1686)</a><!@TM:1521740529> | Synthesizing module OUTBUF_LVDS in library work.

@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\proasic\proasic3l.v:638:7:638:22:@N:CG364:@XP_MSG">proasic3l.v(638)</a><!@TM:1521740529> | Synthesizing module CLKBUF_LVCMOS25 in library work.

@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeSystem.sv:49:7:49:18:@N:CG364:@XP_MSG">SGefeSystem.sv(49)</a><!@TM:1521740529> | Synthesizing module SGefeSystem in library work.

@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="C:\Microsemi\Libero_SoC_v11.8\SynplifyPro\lib\proasic\proasic3l.v:2143:7:2143:13:@N:CG364:@XP_MSG">proasic3l.v(2143)</a><!@TM:1521740529> | Synthesizing module CLKINT in library work.

@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\HeartBeat.v:31:7:31:16:@N:CG364:@XP_MSG">HeartBeat.v(31)</a><!@TM:1521740529> | Synthesizing module HeartBeat in library work.

	g_ClkFrequency_b32=32'b00000001011111010111100001000000
   Generated name = HeartBeat_25000000

@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\HeartBeat.v:31:7:31:16:@N:CG364:@XP_MSG">HeartBeat.v(31)</a><!@TM:1521740529> | Synthesizing module HeartBeat in library work.

	g_ClkFrequency_b32=32'b00000010011000100101101000000000
   Generated name = HeartBeat_40000000

@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\UserIoChecker.v:5:7:5:20:@N:CG364:@XP_MSG">UserIoChecker.v(5)</a><!@TM:1521740529> | Synthesizing module UserIoChecker in library work.

	g_BusWidth=32'b00000000000000000000000001100100
	g_ReadDly=32'b00000000000000000000000000011110
	g_TestDly=32'b00000000000000000000000000001010
	s_Idle=6'b000001
	s_SendMarchingZero=6'b000010
	s_CheckMarchingZero=6'b000100
	s_SendMarchingOne=6'b001000
	s_CheckMarchingOne=6'b010000
	s_TestDone=6'b100000
   Generated name = UserIoChecker_100s_30s_10s_1_2_4_8_16_32

@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:36:7:36:23:@N:CG364:@XP_MSG">SGefeApplication.sv(36)</a><!@TM:1521740529> | Synthesizing module SGefeApplication in library work.

@N:<a href="@N:CG179:@XP_HELP">CG179</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:367:120:367:132:@N:CG179:@XP_MSG">SGefeApplication.sv(367)</a><!@TM:1521740529> | Removing redundant assignment.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[11] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[12] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[13] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[14] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[15] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[33] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[34] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[35] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[36] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[37] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[38] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[39] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[40] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[41] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[42] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[43] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[44] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[45] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[46] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[47] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[48] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[49] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[50] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[51] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[52] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[53] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[54] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[55] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[56] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[57] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[58] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[59] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[60] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[61] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[62] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[63] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[64] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[65] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[66] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[67] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[68] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[69] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[70] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[71] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[72] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[73] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[74] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[75] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[76] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[77] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[78] is always 0.
@N:<a href="@N:CL189:@XP_HELP">CL189</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@N:CL189:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Register bit TestToGbtTx_qb80[79] is always 0.
<font color=#A52A2A>@W:<a href="@W:CL279:@XP_HELP">CL279</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@W:CL279:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Pruning register bits 79 to 33 of TestToGbtTx_qb80[79:0]. If this is not the intended behavior, drive the inputs with valid values, or inputs from the top level.</font>
<font color=#A52A2A>@W:<a href="@W:CL279:@XP_HELP">CL279</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeApplication.sv:364:0:364:6:@W:CL279:@XP_MSG">SGefeApplication.sv(364)</a><!@TM:1521740529> | Pruning register bits 15 to 11 of TestToGbtTx_qb80[79:0]. If this is not the intended behavior, drive the inputs with valid values, or inputs from the top level.</font>
@N:<a href="@N:CG364:@XP_HELP">CG364</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\SGefeTop.sv:47:7:47:15:@N:CG364:@XP_MSG">SGefeTop.sv(47)</a><!@TM:1521740529> | Synthesizing module SGefeTop in library work.

@N:<a href="@N:CL201:@XP_HELP">CL201</a> : <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\hdl\UserIoChecker.v:56:4:56:10:@N:CL201:@XP_MSG">UserIoChecker.v(56)</a><!@TM:1521740529> | Trying to extract state machine for register State_qb6.
Extracted state machine for register State_qb6
State machine has 6 reachable states with original encodings of:
   000001
   000010
   000100
   001000
   010000
   100000

At c_ver Exit (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:00s; Memory used current: 80MB peak: 86MB)

Process took 0h:00m:01s realtime, 0h:00m:01s cputime

Process completed successfully.
# Thu Mar 22 18:42:08 2018

###########################################################]
<a name=compilerReport3></a>Synopsys Netlist Linker, version comp2016q3p1, Build 117R, built Nov 17 2016</a>
@N: : <!@TM:1521740529> | Running in 64-bit mode 

At syn_nfilter Exit (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 70MB peak: 71MB)

Process took 0h:00m:01s realtime, 0h:00m:01s cputime

Process completed successfully.
# Thu Mar 22 18:42:08 2018

###########################################################]
@END

At c_hdl Exit (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 3MB peak: 4MB)

Process took 0h:00m:01s realtime, 0h:00m:01s cputime

Process completed successfully.
# Thu Mar 22 18:42:09 2018

###########################################################]
<a name=compilerReport4></a>Synopsys Netlist Linker, version comp2016q3p1, Build 117R, built Nov 17 2016</a>
@N: : <!@TM:1521740530> | Running in 64-bit mode 

At syn_nfilter Exit (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 71MB peak: 72MB)

Process took 0h:00m:01s realtime, 0h:00m:01s cputime

Process completed successfully.
# Thu Mar 22 18:42:10 2018

###########################################################]
Pre-mapping Report

# Thu Mar 22 18:42:10 2018

<a name=mapperReport5></a>Synopsys Microsemi Technology Pre-mapping, Version mapact, Build 1920R, Built Nov 17 2016 09:40:34</a>
Copyright (C) 1994-2016 Synopsys, Inc. All rights reserved. This Synopsys software and all associated documentation are proprietary to Synopsys, Inc. and may only be used pursuant to the terms and conditions of a written license agreement with Synopsys, Inc. All other use, reproduction, modification, or distribution of the Synopsys software or the associated documentation is strictly prohibited.
Product Version L-2016.09M-2

Mapper Startup Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 99MB peak: 99MB)

Reading constraint file: E:\work_git\S-GEFE\S-GEFE_Test\proasic3\constraint\SGefe_Application_Timing.sdc
Reading constraint file: E:\work_git\S-GEFE\S-GEFE_Test\proasic3\constraint\SGefe_System_Timing.sdc
Linked File: <a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop_scck.rpt:@XP_FILE">SGefeTop_scck.rpt</a>
Printing clock  summary report in "E:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop_scck.rpt" file 
@N:<a href="@N:MF248:@XP_HELP">MF248</a> : <!@TM:1521740531> | Running in 64-bit mode. 
@N:<a href="@N:MF667:@XP_HELP">MF667</a> : <!@TM:1521740531> | Clock conversion disabled. (Command "set_option -fix_gated_and_generated_clocks 0" in the project file.) 

Design Input Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 105MB peak: 107MB)


Mapper Initialization Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 105MB peak: 107MB)

@N:<a href="@N:BN362:@XP_HELP">BN362</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\useriochecker.v:96:4:96:10:@N:BN362:@XP_MSG">useriochecker.v(96)</a><!@TM:1521740531> | Removing sequential instance Busy_o (in view: work.UserIoChecker_100s_30s_10s_1_2_4_8_16_32(verilog)) of type view:PrimLib.sdffre(prim) because it does not drive other instances.
@N:<a href="@N:BN362:@XP_HELP">BN362</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\useriochecker.v:96:4:96:10:@N:BN362:@XP_MSG">useriochecker.v(96)</a><!@TM:1521740531> | Removing sequential instance BusErrors_qb[99:0] (in view: work.UserIoChecker_100s_30s_10s_1_2_4_8_16_32(verilog)) of type view:PrimLib.sdffre(prim) because it does not drive other instances.

Finished netlist restructuring (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 113MB peak: 114MB)



<a name=mapperReport6></a>Clock Summary</a>
*****************

Start              Requested     Requested     Clock        Clock           Clock
Clock              Frequency     Period        Type         Group           Load 
---------------------------------------------------------------------------------
ClkFeedback0       25.0 MHz      40.000        declared     group_12_44     33   
ClkFeedback1       40.0 MHz      25.000        declared     group_12_45     33   
GbtxClockDes       40.0 MHz      25.000        declared     group_14_52     721  
GbtxElinksDclk     40.0 MHz      25.000        declared     group_12_43     1    
Osc25Mhz           25.0 MHz      40.000        declared     group_14_51     16   
=================================================================================

Finished Pre Mapping Phase.
@N:<a href="@N:BN225:@XP_HELP">BN225</a> : <!@TM:1521740531> | Writing default property annotation file E:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop.sap. 

Starting constraint checker (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 113MB peak: 114MB)

Encoding state machine State_qb6[5:0] (in view: work.UserIoChecker_100s_30s_10s_1_2_4_8_16_32(verilog))
original code -> new code
   000001 -> 000
   000010 -> 001
   000100 -> 010
   001000 -> 011
   010000 -> 100
   100000 -> 101
None
None

Finished constraint checker (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 114MB peak: 116MB)

Pre-mapping successful!

At Mapper Exit (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 29MB peak: 116MB)

Process took 0h:00m:01s realtime, 0h:00m:01s cputime
# Thu Mar 22 18:42:11 2018

###########################################################]
Map & Optimize Report

# Thu Mar 22 18:42:11 2018

<a name=mapperReport7></a>Synopsys Microsemi Technology Mapper, Version mapact, Build 1920R, Built Nov 17 2016 09:40:34</a>
Copyright (C) 1994-2016 Synopsys, Inc. All rights reserved. This Synopsys software and all associated documentation are proprietary to Synopsys, Inc. and may only be used pursuant to the terms and conditions of a written license agreement with Synopsys, Inc. All other use, reproduction, modification, or distribution of the Synopsys software or the associated documentation is strictly prohibited.
Product Version L-2016.09M-2

Mapper Startup Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 99MB peak: 99MB)

@N:<a href="@N:MF248:@XP_HELP">MF248</a> : <!@TM:1521740538> | Running in 64-bit mode. 
@N:<a href="@N:MF667:@XP_HELP">MF667</a> : <!@TM:1521740538> | Clock conversion disabled. (Command "set_option -fix_gated_and_generated_clocks 0" in the project file.) 

Design Input Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 99MB peak: 101MB)


Mapper Initialization Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 99MB peak: 101MB)



Starting Optimization and Mapping (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 112MB peak: 112MB)


Available hyper_sources - for debug and ip models
	None Found


Finished RTL optimizations (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 112MB peak: 114MB)

@N:<a href="@N:MO231:@XP_HELP">MO231</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:354:0:354:6:@N:MO231:@XP_MSG">sgefeapplication.sv(354)</a><!@TM:1521740538> | Found counter in view:work.SGefeTop(verilog) instance i_SGefeApplication.TestCntr_c16[12:0] 
<font color=#A52A2A>@W:<a href="@W:MO160:@XP_HELP">MO160</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:367:0:367:6:@W:MO160:@XP_MSG">sgefeapplication.sv(367)</a><!@TM:1521740538> | Register bit i_SGefeApplication.RstTest_qb16[13] (in view view:work.SGefeTop(verilog)) is always 0. To keep the instance, apply syn_preserve=1 on the instance.</font>
<font color=#A52A2A>@W:<a href="@W:MO160:@XP_HELP">MO160</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:367:0:367:6:@W:MO160:@XP_MSG">sgefeapplication.sv(367)</a><!@TM:1521740538> | Register bit i_SGefeApplication.RstTest_qb16[12] (in view view:work.SGefeTop(verilog)) is always 0. To keep the instance, apply syn_preserve=1 on the instance.</font>
<font color=#A52A2A>@W:<a href="@W:MO160:@XP_HELP">MO160</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:367:0:367:6:@W:MO160:@XP_MSG">sgefeapplication.sv(367)</a><!@TM:1521740538> | Register bit i_SGefeApplication.RstTest_qb16[10] (in view view:work.SGefeTop(verilog)) is always 0. To keep the instance, apply syn_preserve=1 on the instance.</font>
<font color=#A52A2A>@W:<a href="@W:MO160:@XP_HELP">MO160</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:367:0:367:6:@W:MO160:@XP_MSG">sgefeapplication.sv(367)</a><!@TM:1521740538> | Register bit i_SGefeApplication.RstTest_qb16[8] (in view view:work.SGefeTop(verilog)) is always 0. To keep the instance, apply syn_preserve=1 on the instance.</font>
<font color=#A52A2A>@W:<a href="@W:MO160:@XP_HELP">MO160</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:367:0:367:6:@W:MO160:@XP_MSG">sgefeapplication.sv(367)</a><!@TM:1521740538> | Register bit i_SGefeApplication.RstTest_qb16[0] (in view view:work.SGefeTop(verilog)) is always 0. To keep the instance, apply syn_preserve=1 on the instance.</font>
@N:<a href="@N:MF238:@XP_HELP">MF238</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\heartbeat.v:68:36:68:56:@N:MF238:@XP_MSG">heartbeat.v(68)</a><!@TM:1521740538> | Found 32-bit incrementor, 'un3_HeartBeatCntr_c32[31:0]'
@N:<a href="@N:MF238:@XP_HELP">MF238</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\heartbeat.v:68:36:68:56:@N:MF238:@XP_MSG">heartbeat.v(68)</a><!@TM:1521740538> | Found 32-bit incrementor, 'un16_HeartBeatCntr_c32[31:0]'
@N:<a href="@N:MF238:@XP_HELP">MF238</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\heartbeat.v:68:36:68:56:@N:MF238:@XP_MSG">heartbeat.v(68)</a><!@TM:1521740538> | Found 32-bit incrementor, 'un16_HeartBeatCntr_c32[31:0]'
@N:<a href="@N:MO231:@XP_HELP">MO231</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\useriochecker.v:96:4:96:10:@N:MO231:@XP_MSG">useriochecker.v(96)</a><!@TM:1521740538> | Found counter in view:work.UserIoChecker_100s_30s_10s_1_2_4_8_16_32(verilog) instance i[31:0] 
Encoding state machine State_qb6[5:0] (in view: work.UserIoChecker_100s_30s_10s_1_2_4_8_16_32(verilog))
original code -> new code
   000001 -> 000000
   000010 -> 000011
   000100 -> 000101
   001000 -> 001001
   010000 -> 010001
   100000 -> 100001
@N:<a href="@N:MF238:@XP_HELP">MF238</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\useriochecker.v:124:48:124:60:@N:MF238:@XP_MSG">useriochecker.v(124)</a><!@TM:1521740538> | Found 8-bit incrementor, 'un1_Timer_qb8_6[7:0]'

Starting factoring (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 115MB peak: 116MB)


Finished factoring (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:02s; Memory used current: 132MB peak: 133MB)


Finished gated-clock and generated-clock conversion (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 130MB peak: 134MB)


Finished generic timing optimizations - Pass 1 (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 130MB peak: 137MB)


Starting Early Timing Optimization (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:03s; Memory used current: 131MB peak: 137MB)


Finished Early Timing Optimization (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 132MB peak: 137MB)


Finished generic timing optimizations - Pass 2 (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 131MB peak: 137MB)


Finished preparing to map (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 130MB peak: 137MB)


Finished technology mapping (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:04s; Memory used current: 143MB peak: 146MB)


High Fanout Net Report
**********************

Driver Instance / Pin Name                                             Fanout, notes                   
-------------------------------------------------------------------------------------------------------
i_SGefeSystem.i_PorPpr_d2 / Q                                          159 : 143 asynchronous set/reset
i_SGefeApplication.un1_AppReset_ra / Y                                 411                             
i_SGefeApplication.i_FmcUserIoChecker.i[0] / Q                         29                              
i_SGefeApplication.i_FmcUserIoChecker.i[2] / Q                         30                              
i_SGefeApplication.i_FmcUserIoChecker.i[3] / Q                         31                              
i_SGefeApplication.i_FmcUserIoChecker.i[4] / Q                         28                              
i_SGefeApplication.i_FmcUserIoChecker.i[5] / Q                         25                              
i_SGefeApplication.i_FmcUserIoChecker.i[6] / Q                         29                              
i_SGefeApplication.i_FmcUserIoChecker.State_qb6[2] / Q                 118                             
i_SGefeApplication.i_FmcUserIoChecker.State_qb6[3] / Q                 96                              
i_SGefeApplication.i_FmcUserIoChecker.State_qb6_i_0[0] / Q             308                             
DipSwitch_ib8_pad[7] / Y                                               97                              
i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_14_0_i / Y         100                             
i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_19 / Y             100                             
i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_18_i_i_o2 / Y      100                             
i_SGefeApplication.i_FmcUserIoChecker.DataO_qb_dec_0_30_0_a2 / Y       58                              
i_SGefeApplication.i_FmcUserIoChecker.DataO_qb532_i_0 / Y              176                             
i_SGefeApplication.i_FmcUserIoChecker.ilde_i_a3_0_a2 / Y               32                              
i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_17_i_0_0_0 / Y     34                              
=======================================================================================================

@N:<a href="@N:FP130:@XP_HELP">FP130</a> : <!@TM:1521740538> | Promoting Net i_SGefeApplication.un1_AppReset_ra on CLKINT  I_329  

Finished technology timing optimizations and critical path resynthesis (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:05s; Memory used current: 143MB peak: 146MB)

Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_17_i_0_0_0, fanout 34 segments 2
Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.ilde_i_a3_0_a2, fanout 32 segments 2
Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.DataO_qb532_i_0, fanout 176 segments 8
Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.DataO_qb_dec_0_30_0_a2, fanout 58 segments 3
Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_18_i_i_o2, fanout 100 segments 5
Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_19, fanout 100 segments 5
Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_14_0_i, fanout 100 segments 5
Buffering DipSwitch_ib8_c[7], fanout 97 segments 5
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.State_qb6_i_0[0], fanout 308 segments 13
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.State_qb6[3], fanout 96 segments 4
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.State_qb6[2], fanout 126 segments 6
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.i[6], fanout 29 segments 2
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.i[5], fanout 25 segments 2
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.i[4], fanout 28 segments 2
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.i[3], fanout 31 segments 2
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.i[2], fanout 30 segments 2
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.i[0], fanout 29 segments 2
Replicating Sequential Instance i_SGefeSystem.i_PorPpr_d2, fanout 159 segments 7

Added 4 Buffers
Added 55 Cells via replication
	Added 32 Sequential Cells via replication
	Added 23 Combinational Cells via replication

Finished restoring hierarchy (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:05s; Memory used current: 144MB peak: 146MB)



@S |Clock Optimization Summary


<a name=clockReport8></a>#### START OF CLOCK OPTIMIZATION REPORT #####[</a>

Clock optimization not enabled
1 non-gated/non-generated clock tree(s) driving 22 clock pin(s) of sequential element(s)
4 gated/generated clock tree(s) driving 804 clock pin(s) of sequential element(s)
0 instances converted, 804 sequential instances remain driven by gated/generated clocks

=================================== Non-Gated/Non-Generated Clocks ====================================
Clock Tree ID     Driving Element     Drive Element Type           Fanout     Sample Instance          
-------------------------------------------------------------------------------------------------------
<a href="@|S:Osc25Mhz_ik@|E:i_SGefeSystem.i_PorPpr_d1@|F:@syn_sample_clock_path==CKID0005@|M:ClockId0005  @XP_NAMES_BY_PROP">ClockId0005 </a>       Osc25Mhz_ik         clock definition on port     22         i_SGefeSystem.i_PorPpr_d1
=======================================================================================================
============================================================================================================== Gated/Generated Clocks ==============================================================================================================
Clock Tree ID     Driving Element                                Drive Element Type                  Fanout     Sample Instance                                                          Explanation                                                
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<a href="@|S:i_SGefeSystem.i_GbtxElinksDclkCg_ibuf@|E:i_SGefeApplication.DataGbtxElinksSc_qb2[1]@|F:@syn_sample_clock_path==CKID0001@|M:ClockId0001  @XP_NAMES_BY_PROP">ClockId0001 </a>       i_SGefeSystem.i_GbtxElinksDclkCg_ibuf          clock definition on CLKBUF_LVDS     737        i_SGefeApplication.DataGbtxElinksSc_qb2[1]                               Clock conversion disabled                                  
<a href="@|S:i_SGefeApplication.i_ClkFeedback0_ibuf@|E:i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[31]@|F:@syn_sample_clock_path==CKID0002@|M:ClockId0002  @XP_NAMES_BY_PROP">ClockId0002 </a>       i_SGefeApplication.i_ClkFeedback0_ibuf         clock definition on CLKBUF_LVDS     33         i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[31]           Clock conversion disabled                                  
<a href="@|S:i_SGefeApplication.i_ClkFeedback1_ibuf@|E:i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[31]@|F:@syn_sample_clock_path1==CKID0003@|M:ClockId0003  @XP_NAMES_BY_PROP">ClockId0003 </a>       i_SGefeApplication.i_ClkFeedback1_ibuf         clock definition on INBUF_LVDS      33         i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[31]     Clock conversion disabled                                  
<a href="@|S:i_SGefeApplication.i_GbtxElinksDclkCg_ibuf@|E:i_SGefeApplication.ClkFeedback_gen[1].i_ClkFeedback_oddr@|F:@syn_sample_clock_path==CKID0004@|M:ClockId0004  @XP_NAMES_BY_PROP">ClockId0004 </a>       i_SGefeApplication.i_GbtxElinksDclkCg_ibuf     clock definition on CLKBUF_LVDS     1          i_SGefeApplication.ClkFeedback_gen[1].i_ClkFeedback_oddr                 No gated clock conversion method for cell cell:pa3l.DDR_OUT
====================================================================================================================================================================================================================================================


##### END OF CLOCK OPTIMIZATION REPORT ######]


Start Writing Netlists (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:05s; Memory used current: 137MB peak: 146MB)

Writing Analyst data base E:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\synwork\SGefeTop_m.srm

Finished Writing Netlist Databases (Real Time elapsed 0h:00m:06s; CPU Time elapsed 0h:00m:06s; Memory used current: 140MB peak: 146MB)

Writing EDIF Netlist and constraint files
L-2016.09M-2

Finished Writing EDIF Netlist and constraint files (Real Time elapsed 0h:00m:06s; CPU Time elapsed 0h:00m:06s; Memory used current: 143MB peak: 146MB)


Start final timing analysis (Real Time elapsed 0h:00m:06s; CPU Time elapsed 0h:00m:06s; Memory used current: 141MB peak: 146MB)

@N:<a href="@N:MT615:@XP_HELP">MT615</a> : <!@TM:1521740538> | Found clock GbtxClockDes with period 25.00ns  
@N:<a href="@N:MT615:@XP_HELP">MT615</a> : <!@TM:1521740538> | Found clock GbtxElinksDclk with period 25.00ns  
@N:<a href="@N:MT615:@XP_HELP">MT615</a> : <!@TM:1521740538> | Found clock Osc25Mhz with period 40.00ns  
@N:<a href="@N:MT615:@XP_HELP">MT615</a> : <!@TM:1521740538> | Found clock ClkFeedback0 with period 40.00ns  
@N:<a href="@N:MT615:@XP_HELP">MT615</a> : <!@TM:1521740538> | Found clock ClkFeedback1 with period 25.00ns  


<a name=timingReport9></a>##### START OF TIMING REPORT #####[</a>
# Timing Report written on Thu Mar 22 18:42:18 2018
#


Top view:               SGefeTop
Library name:           pa3l
Operating conditions:   COMWCSTD ( T = 70.0, V = 1.14, P = 1.26, tree_type = balanced_tree )
Requested Frequency:    25.0 MHz
Wire load mode:         top
Wire load model:        pa3l
Paths requested:        5
Constraint File(s):    E:\work_git\S-GEFE\S-GEFE_Test\proasic3\constraint\SGefe_Application_Timing.sdc
                       E:\work_git\S-GEFE\S-GEFE_Test\proasic3\constraint\SGefe_System_Timing.sdc
                       
@N:<a href="@N:MT320:@XP_HELP">MT320</a> : <!@TM:1521740538> | This timing report is an estimate of place and route data. For final timing results, use the FPGA vendor place and route report. 

@N:<a href="@N:MT322:@XP_HELP">MT322</a> : <!@TM:1521740538> | Clock constraints include only register-to-register paths associated with each individual clock. 



<a name=performanceSummary10></a>Performance Summary</a>
*******************


Worst slack in design: 0.147

                   Requested     Estimated     Requested     Estimated                Clock        Clock      
Starting Clock     Frequency     Frequency     Period        Period        Slack      Type         Group      
--------------------------------------------------------------------------------------------------------------
ClkFeedback0       25.0 MHz      116.4 MHz     40.000        8.594         31.406     declared     group_12_44
ClkFeedback1       40.0 MHz      116.4 MHz     25.000        8.594         16.406     declared     group_12_45
GbtxClockDes       40.0 MHz      40.2 MHz      25.000        24.853        0.147      declared     group_14_52
GbtxElinksDclk     40.0 MHz      NA            25.000        NA            NA         declared     group_12_43
Osc25Mhz           25.0 MHz      73.2 MHz      40.000        13.662        26.338     declared     group_14_51
==============================================================================================================
@N:<a href="@N:MT582:@XP_HELP">MT582</a> : <!@TM:1521740538> | Estimated period and frequency not reported for given clock unless the clock has at least one timing path which is not a false or a max delay path and that does not have excessive slack 





<a name=clockRelationships11></a>Clock Relationships</a>
*******************

Clocks                      |    rise  to  rise    |    fall  to  fall   |    rise  to  fall   |    fall  to  rise 
-------------------------------------------------------------------------------------------------------------------
Starting      Ending        |  constraint  slack   |  constraint  slack  |  constraint  slack  |  constraint  slack
-------------------------------------------------------------------------------------------------------------------
ClkFeedback0  ClkFeedback0  |  40.000      31.406  |  No paths    -      |  No paths    -      |  No paths    -    
ClkFeedback1  ClkFeedback1  |  25.000      16.406  |  No paths    -      |  No paths    -      |  No paths    -    
Osc25Mhz      Osc25Mhz      |  40.000      26.338  |  No paths    -      |  No paths    -      |  No paths    -    
Osc25Mhz      GbtxClockDes  |  Diff grp    -       |  No paths    -      |  No paths    -      |  No paths    -    
GbtxClockDes  GbtxClockDes  |  25.000      0.147   |  No paths    -      |  No paths    -      |  No paths    -    
===================================================================================================================
 Note: 'No paths' indicates there are no paths in the design for that pair of clock edges.
       'Diff grp' indicates that paths exist but the starting clock and ending clock are in different clock groups.



<a name=interfaceInfo12></a>Interface Information </a>
*********************

No IO constraint found



====================================
<a name=clockReport13></a>Detailed Report for Clock: ClkFeedback0</a>
====================================



<a name=startingSlack14></a>Starting Points with Worst Slack</a>
********************************

                                                                   Starting                                                      Arrival           
Instance                                                           Reference        Type       Pin     Net                       Time        Slack 
                                                                   Clock                                                                           
---------------------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[4]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[4]      0.797       31.406
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[3]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[3]      0.797       31.431
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[5]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[5]      0.797       31.438
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[8]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[8]      0.797       31.778
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[1]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[1]      0.797       31.799
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[11]     ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[11]     0.797       31.841
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[2]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[2]      0.797       31.866
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[0]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[0]      0.797       31.879
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[10]     ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[10]     0.797       31.880
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[7]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[7]      0.797       31.885
===================================================================================================================================================


<a name=endingSlack15></a>Ending Points with Worst Slack</a>
******************************

                                                                   Starting                                                        Required           
Instance                                                           Reference        Type       Pin     Net                         Time         Slack 
                                                                   Clock                                                                              
------------------------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[28]     ClkFeedback0     DFN1C0     D       I_89                        39.417       31.406
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[29]     ClkFeedback0     DFN1C0     D       I_92                        39.417       31.406
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[30]     ClkFeedback0     DFN1C0     D       I_95                        39.417       31.406
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[31]     ClkFeedback0     DFN1C0     D       I_98                        39.417       31.406
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeat_oq              ClkFeedback0     DFN1C0     D       HeartBeat_oq_RNO            39.417       31.431
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[6]      ClkFeedback0     DFN1C0     D       HeartBeatCntr_c32_3[6]      39.417       31.471
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[11]     ClkFeedback0     DFN1C0     D       HeartBeatCntr_c32_3[11]     39.417       31.471
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[12]     ClkFeedback0     DFN1C0     D       HeartBeatCntr_c32_3[12]     39.417       31.471
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[13]     ClkFeedback0     DFN1C0     D       HeartBeatCntr_c32_3[13]     39.417       31.471
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[14]     ClkFeedback0     DFN1C0     D       HeartBeatCntr_c32_3[14]     39.417       31.471
======================================================================================================================================================



<a name=worstPaths16></a>Worst Path Information</a>
<a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop.srr:srsfE:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop.srs:fp:41865:44277:@XP_NAMES_GATE">View Worst Path in Analyst</a>
***********************


Path information for path number 1: 
      Requested Period:                      40.000
    - Setup time:                            0.583
    + Clock delay at ending point:           0.000 (ideal)
    = Required time:                         39.417

    - Propagation time:                      8.011
    - Clock delay at starting point:         0.000 (ideal)
    = Slack (non-critical) :                 31.406

    Number of logic level(s):                5
    Starting point:                          i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[4] / Q
    Ending point:                            i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[28] / D
    The start point is clocked by            ClkFeedback0 [rising] on pin CLK
    The end   point is clocked by            ClkFeedback0 [rising] on pin CLK

Instance / Net                                                                     Pin      Pin               Arrival     No. of    
Name                                                                    Type       Name     Dir     Delay     Time        Fan Out(s)
------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[4]           DFN1C0     Q        Out     0.797     0.797       -         
HeartBeatCntr_c32[4]                                                    Net        -        -       0.927     -           5         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_18     AND3       B        In      -         1.724       -         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_18     AND3       Y        Out     0.656     2.380       -         
DWACT_FINC_E[2]                                                         Net        -        -       1.032     -           6         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_68     AND3       B        In      -         3.412       -         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_68     AND3       Y        Out     0.656     4.068       -         
DWACT_FINC_E[29]                                                        Net        -        -       1.032     -           6         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_87     AND2       A        In      -         5.100       -         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_87     AND2       Y        Out     0.556     5.657       -         
DWACT_FINC_E[24]                                                        Net        -        -       0.858     -           4         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_88     AND3       A        In      -         6.515       -         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_88     AND3       Y        Out     0.502     7.017       -         
N_5                                                                     Net        -        -       0.233     -           1         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_89     XOR2       A        In      -         7.250       -         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_89     XOR2       Y        Out     0.528     7.778       -         
I_89                                                                    Net        -        -       0.233     -           1         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[28]          DFN1C0     D        In      -         8.011       -         
====================================================================================================================================
Total path delay (propagation time + setup) of 8.594 is 4.278(49.8%) logic and 4.316(50.2%) route.
Path delay compensated for clock skew. Clock skew is added to clock-to-out value, and is subtracted from setup time value




====================================
<a name=clockReport17></a>Detailed Report for Clock: ClkFeedback1</a>
====================================



<a name=startingSlack18></a>Starting Points with Worst Slack</a>
********************************

                                                                         Starting                                                      Arrival           
Instance                                                                 Reference        Type       Pin     Net                       Time        Slack 
                                                                         Clock                                                                           
---------------------------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[4]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[4]      0.797       16.406
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[5]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[5]      0.797       16.438
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[3]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[3]      0.797       16.456
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[21]     ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[21]     0.797       16.743
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[8]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[8]      0.797       16.778
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[1]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[1]      0.797       16.799
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[12]     ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[12]     0.797       16.865
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[2]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[2]      0.797       16.866
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[0]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[0]      0.797       16.879
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[10]     ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[10]     0.797       16.880
=========================================================================================================================================================


<a name=endingSlack19></a>Ending Points with Worst Slack</a>
******************************

                                                                         Starting                                                        Required           
Instance                                                                 Reference        Type       Pin     Net                         Time         Slack 
                                                                         Clock                                                                              
------------------------------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[28]     ClkFeedback1     DFN1C0     D       I_89_0                      24.417       16.406
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[29]     ClkFeedback1     DFN1C0     D       I_92_0                      24.417       16.406
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[30]     ClkFeedback1     DFN1C0     D       I_95_0                      24.417       16.406
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[31]     ClkFeedback1     DFN1C0     D       I_98_0                      24.417       16.406
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeat_oq              ClkFeedback1     DFN1C0     D       HeartBeat_oq_RNO_0          24.417       16.743
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[9]      ClkFeedback1     DFN1C0     D       HeartBeatCntr_c32_7[9]      24.417       16.782
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[11]     ClkFeedback1     DFN1C0     D       HeartBeatCntr_c32_7[11]     24.417       16.782
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[12]     ClkFeedback1     DFN1C0     D       HeartBeatCntr_c32_7[12]     24.417       16.782
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[14]     ClkFeedback1     DFN1C0     D       HeartBeatCntr_c32_7[14]     24.417       16.782
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[17]     ClkFeedback1     DFN1C0     D       HeartBeatCntr_c32_7[17]     24.417       16.782
============================================================================================================================================================



<a name=worstPaths20></a>Worst Path Information</a>
<a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop.srr:srsfE:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop.srs:fp:50952:53490:@XP_NAMES_GATE">View Worst Path in Analyst</a>
***********************


Path information for path number 1: 
      Requested Period:                      25.000
    - Setup time:                            0.583
    + Clock delay at ending point:           0.000 (ideal)
    = Required time:                         24.417

    - Propagation time:                      8.011
    - Clock delay at starting point:         0.000 (ideal)
    = Slack (non-critical) :                 16.406

    Number of logic level(s):                5
    Starting point:                          i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[4] / Q
    Ending point:                            i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[28] / D
    The start point is clocked by            ClkFeedback1 [rising] on pin CLK
    The end   point is clocked by            ClkFeedback1 [rising] on pin CLK

Instance / Net                                                                            Pin      Pin               Arrival     No. of    
Name                                                                           Type       Name     Dir     Delay     Time        Fan Out(s)
-------------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[4]            DFN1C0     Q        Out     0.797     0.797       -         
HeartBeatCntr_c32[4]                                                           Net        -        -       0.927     -           5         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_18     AND3       B        In      -         1.724       -         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_18     AND3       Y        Out     0.656     2.380       -         
DWACT_FINC_E[2]                                                                Net        -        -       1.032     -           6         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_68     AND3       B        In      -         3.412       -         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_68     AND3       Y        Out     0.656     4.068       -         
DWACT_FINC_E[29]                                                               Net        -        -       1.032     -           6         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_87     AND2       A        In      -         5.100       -         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_87     AND2       Y        Out     0.556     5.657       -         
DWACT_FINC_E[24]                                                               Net        -        -       0.858     -           4         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_88     AND3       A        In      -         6.515       -         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_88     AND3       Y        Out     0.502     7.017       -         
N_5                                                                            Net        -        -       0.233     -           1         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_89     XOR2       A        In      -         7.250       -         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_89     XOR2       Y        Out     0.528     7.778       -         
I_89_0                                                                         Net        -        -       0.233     -           1         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[28]           DFN1C0     D        In      -         8.011       -         
===========================================================================================================================================
Total path delay (propagation time + setup) of 8.594 is 4.278(49.8%) logic and 4.316(50.2%) route.
Path delay compensated for clock skew. Clock skew is added to clock-to-out value, and is subtracted from setup time value




====================================
<a name=clockReport21></a>Detailed Report for Clock: GbtxClockDes</a>
====================================



<a name=startingSlack22></a>Starting Points with Worst Slack</a>
********************************

                                                Starting                                      Arrival          
Instance                                        Reference        Type       Pin     Net       Time        Slack
                                                Clock                                                          
---------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_FmcUserIoChecker.i[28]     GbtxClockDes     DFN1E0     Q       i[28]     0.628       0.147
i_SGefeApplication.i_FmcUserIoChecker.i[1]      GbtxClockDes     DFN1E0     Q       i[1]      0.628       0.305
i_SGefeApplication.i_FmcUserIoChecker.i[27]     GbtxClockDes     DFN1E0     Q       i[27]     0.628       0.338
i_SGefeApplication.i_FmcUserIoChecker.i[29]     GbtxClockDes     DFN1E0     Q       i[29]     0.628       0.379
i_SGefeApplication.i_FmcUserIoChecker.i[26]     GbtxClockDes     DFN1E0     Q       i[26]     0.628       0.502
i_SGefeApplication.i_FmcUserIoChecker.i[0]      GbtxClockDes     DFN1E0     Q       i[0]      0.628       0.512
i_SGefeApplication.i_FmcUserIoChecker.i[31]     GbtxClockDes     DFN1E0     Q       i[31]     0.628       0.587
i_SGefeApplication.i_FmcUserIoChecker.i[5]      GbtxClockDes     DFN1E0     Q       i[5]      0.797       0.660
i_SGefeApplication.i_FmcUserIoChecker.i[6]      GbtxClockDes     DFN1E0     Q       i[6]      0.628       0.712
i_SGefeApplication.i_FmcUserIoChecker.i[21]     GbtxClockDes     DFN1E0     Q       i[21]     0.628       0.734
===============================================================================================================


<a name=endingSlack23></a>Ending Points with Worst Slack</a>
******************************

                                                            Starting                                                    Required          
Instance                                                    Reference        Type     Pin     Net                       Time         Slack
                                                            Clock                                                                         
------------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb[0]     GbtxClockDes     DFN1     D       ZerosErrors_qb_RNO[0]     24.380       0.147
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb[1]     GbtxClockDes     DFN1     D       ZerosErrors_qb_RNO[1]     24.380       0.147
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb[2]     GbtxClockDes     DFN1     D       ZerosErrors_qb_RNO[2]     24.380       0.147
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb[3]     GbtxClockDes     DFN1     D       ZerosErrors_qb_RNO[3]     24.380       0.147
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb[4]     GbtxClockDes     DFN1     D       ZerosErrors_qb_RNO[4]     24.380       0.147
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb[5]     GbtxClockDes     DFN1     D       ZerosErrors_qb_RNO[5]     24.380       0.147
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb[6]     GbtxClockDes     DFN1     D       ZerosErrors_qb_RNO[6]     24.380       0.147
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb[7]     GbtxClockDes     DFN1     D       ZerosErrors_qb_RNO[7]     24.380       0.147
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb[8]     GbtxClockDes     DFN1     D       ZerosErrors_qb_RNO[8]     24.380       0.147
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb[9]     GbtxClockDes     DFN1     D       ZerosErrors_qb_RNO[9]     24.380       0.147
==========================================================================================================================================



<a name=worstPaths24></a>Worst Path Information</a>
<a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop.srr:srsfE:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop.srs:fp:59222:66974:@XP_NAMES_GATE">View Worst Path in Analyst</a>
***********************


Path information for path number 1: 
      Requested Period:                      25.000
    - Setup time:                            0.620
    + Clock delay at ending point:           0.000 (ideal)
    = Required time:                         24.380

    - Propagation time:                      24.233
    - Clock delay at starting point:         0.000 (ideal)
    = Slack (critical) :                     0.147

    Number of logic level(s):                18
    Starting point:                          i_SGefeApplication.i_FmcUserIoChecker.i[28] / Q
    Ending point:                            i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb[40] / D
    The start point is clocked by            GbtxClockDes [rising] on pin CLK
    The end   point is clocked by            GbtxClockDes [rising] on pin CLK

Instance / Net                                                                       Pin      Pin               Arrival     No. of    
Name                                                                      Type       Name     Dir     Delay     Time        Fan Out(s)
--------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_FmcUserIoChecker.i[28]                               DFN1E0     Q        Out     0.628     0.628       -         
i[28]                                                                     Net        -        -       0.927     -           5         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIFGNQ_0[29]                     OR2        B        In      -         1.555       -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIFGNQ_0[29]                     OR2        Y        Out     0.556     2.112       -         
N_484                                                                     Net        -        -       0.280     -           2         
i_SGefeApplication.i_FmcUserIoChecker.DataO_qb_dec_0_28_RNO_0             NOR3       C        In      -         2.391       -         
i_SGefeApplication.i_FmcUserIoChecker.DataO_qb_dec_0_28_RNO_0             NOR3       Y        Out     0.739     3.130       -         
DataO_qb_dec_0_28_3                                                       Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.DataO_qb_dec_0_28                   AND2       B        In      -         3.363       -         
i_SGefeApplication.i_FmcUserIoChecker.DataO_qb_dec_0_28                   AND2       Y        Out     0.679     4.042       -         
DataO_qb_dec_28[0]                                                        Net        -        -       0.858     -           4         
i_SGefeApplication.i_FmcUserIoChecker.DataO_qb_dec_0_30_0_a2              AND2       B        In      -         4.900       -         
i_SGefeApplication.i_FmcUserIoChecker.DataO_qb_dec_0_30_0_a2              AND2       Y        Out     0.679     5.579       -         
DataO_qb_dec_30[0]                                                        Net        -        -       1.641     -           18        
i_SGefeApplication.i_FmcUserIoChecker.DataO_qb_dec_0_30_0_a2_RNISPRR4     NOR2B      B        In      -         7.219       -         
i_SGefeApplication.i_FmcUserIoChecker.DataO_qb_dec_0_30_0_a2_RNISPRR4     NOR2B      Y        Out     0.679     7.898       -         
DataO_qb_dec_32_1                                                         Net        -        -       1.477     -           13        
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIA9ED6[39]               NOR3B      A        In      -         9.374       -         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIA9ED6[39]               NOR3B      Y        Out     0.694     10.068      -         
DataI_qb_m[39]                                                            Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIUGJUC[32]               AO1        C        In      -         10.301      -         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIUGJUC[32]               AO1        Y        Out     0.684     10.985      -         
DataI_qb_pmux_iv_26                                                       Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIOVPFJ[47]               AO1        C        In      -         11.218      -         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIOVPFJ[47]               AO1        Y        Out     0.684     11.903      -         
DataI_qb_pmux_iv_44                                                       Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIDETMQ1[47]              OR3        C        In      -         12.136      -         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIDETMQ1[47]              OR3        Y        Out     0.812     12.948      -         
DataI_qb_pmux_iv_60                                                       Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIGTORK2[31]              OR3        C        In      -         13.181      -         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIGTORK2[31]              OR3        Y        Out     0.812     13.993      -         
DataI_qb_pmux_iv_71                                                       Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIMK8235[15]              OR3        C        In      -         14.226      -         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIMK8235[15]              OR3        Y        Out     0.812     15.038      -         
DataI_qb_pmux_iv_79                                                       Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNID38LM5[19]              OR3        A        In      -         15.271      -         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNID38LM5[19]              OR3        Y        Out     0.528     15.799      -         
DataI_qb_pmux_iv_90                                                       Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIMNTBA6[16]              OR3        C        In      -         16.032      -         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIMNTBA6[16]              OR3        Y        Out     0.812     16.845      -         
DataI_qb_pmux_iv_95                                                       Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIHRI23C[16]              OR3        C        In      -         17.078      -         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIHRI23C[16]              OR3        Y        Out     0.812     17.890      -         
DataI_qb_pmux_iv_97                                                       Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIRV6T7D1[18]             AX1D       B        In      -         18.123      -         
i_SGefeApplication.i_FmcUserIoChecker.DataI_qb_RNIRV6T7D1[18]             AX1D       Y        Out     1.073     19.196      -         
un1_DataI_qb_pmux                                                         Net        -        -       1.239     -           10        
i_SGefeApplication.i_FmcUserIoChecker.State_qb6_0_RNISE2N8D1[2]           AO1A       A        In      -         20.435      -         
i_SGefeApplication.i_FmcUserIoChecker.State_qb6_0_RNISE2N8D1[2]           AO1A       Y        Out     0.519     20.954      -         
un1_State_qb6_19_2                                                        Net        -        -       1.706     -           20        
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb_RNO_0[40]            MX2        S        In      -         22.660      -         
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb_RNO_0[40]            MX2        Y        Out     0.429     23.088      -         
N_2813                                                                    Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb_RNO[40]              NOR2A      A        In      -         23.321      -         
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb_RNO[40]              NOR2A      Y        Out     0.679     24.000      -         
ZerosErrors_qb_RNO[40]                                                    Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.ZerosErrors_qb[40]                  DFN1       D        In      -         24.233      -         
======================================================================================================================================
Total path delay (propagation time + setup) of 24.853 is 13.929(56.0%) logic and 10.924(44.0%) route.
Path delay compensated for clock skew. Clock skew is added to clock-to-out value, and is subtracted from setup time value




====================================
<a name=clockReport25></a>Detailed Report for Clock: Osc25Mhz</a>
====================================



<a name=startingSlack26></a>Starting Points with Worst Slack</a>
********************************

                                       Starting                                                            Arrival           
Instance                               Reference     Type     Pin     Net                                  Time        Slack 
                                       Clock                                                                                 
-----------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.TestCntr_c16[0]     Osc25Mhz      DFN1     Q       FmcTrstL_on_c_c_c_c_c_c_c_c_c        0.797       26.338
i_SGefeApplication.TestCntr_c16[1]     Osc25Mhz      DFN1     Q       FmcTms_o_c_c_c_c_c_c_c_c_c           0.797       26.618
i_SGefeApplication.TestCntr_c16[2]     Osc25Mhz      DFN1     Q       FmcTdo_o_c_c_c_c_c_c_c_c_c           0.797       27.576
i_SGefeApplication.TestCntr_c16[3]     Osc25Mhz      DFN1     Q       FmcTdi_i_c_c_c_c_c_c_c_c_c_c         0.797       28.377
i_SGefeApplication.TestCntr_c16[4]     Osc25Mhz      DFN1     Q       FmcTck_o_c_c_c_c_c_c_c_c             0.797       29.542
i_SGefeApplication.TestCntr_c16[5]     Osc25Mhz      DFN1     Q       FmcScl_io_c_c_c_c_c_c_c_c            0.797       30.500
i_SGefeApplication.TestCntr_c16[6]     Osc25Mhz      DFN1     Q       FmcSda_io_c_c_c_c_c_c_c_c            0.797       31.459
i_SGefeApplication.TestCntr_c16[7]     Osc25Mhz      DFN1     Q       GpioConnA_iob13_c_c_c_c_c_c_c[7]     0.797       32.446
i_SGefeApplication.TestCntr_c16[8]     Osc25Mhz      DFN1     Q       GpioConnA_iob13_c_c_c_c_c_c_c[8]     0.797       33.404
i_SGefeApplication.TestCntr_c16[9]     Osc25Mhz      DFN1     Q       GpioConnA_iob13_c_c_c_c_c_c_c[9]     0.797       34.362
=============================================================================================================================


<a name=endingSlack27></a>Ending Points with Worst Slack</a>
******************************

                                        Starting                                            Required           
Instance                                Reference     Type     Pin     Net                  Time         Slack 
                                        Clock                                                                  
---------------------------------------------------------------------------------------------------------------
i_SGefeApplication.TestCntr_c16[12]     Osc25Mhz      DFN1     D       TestCntr_c16_n12     39.417       26.338
i_SGefeApplication.TestCntr_c16[11]     Osc25Mhz      DFN1     D       TestCntr_c16_n11     39.417       26.838
i_SGefeApplication.TestCntr_c16[10]     Osc25Mhz      DFN1     D       TestCntr_c16_n10     39.417       27.797
i_SGefeApplication.TestCntr_c16[9]      Osc25Mhz      DFN1     D       TestCntr_c16_n9      39.417       28.755
i_SGefeApplication.TestCntr_c16[8]      Osc25Mhz      DFN1     D       TestCntr_c16_n8      39.417       29.713
i_SGefeApplication.TestCntr_c16[7]      Osc25Mhz      DFN1     D       TestCntr_c16_n7      39.417       30.672
i_SGefeApplication.TestCntr_c16[6]      Osc25Mhz      DFN1     D       TestCntr_c16_n6      39.417       31.630
i_SGefeApplication.TestCntr_c16[5]      Osc25Mhz      DFN1     D       TestCntr_c16_n5      39.417       32.588
i_SGefeApplication.TestCntr_c16[4]      Osc25Mhz      DFN1     D       TestCntr_c16_n4      39.417       33.546
i_SGefeApplication.TestCntr_c16[3]      Osc25Mhz      DFN1     D       TestCntr_c16_n3      39.417       34.505
===============================================================================================================



<a name=worstPaths28></a>Worst Path Information</a>
<a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop.srr:srsfE:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop.srs:fp:72390:76350:@XP_NAMES_GATE">View Worst Path in Analyst</a>
***********************


Path information for path number 1: 
      Requested Period:                      40.000
    - Setup time:                            0.583
    + Clock delay at ending point:           0.000 (ideal)
    = Required time:                         39.417

    - Propagation time:                      13.079
    - Clock delay at starting point:         0.000 (ideal)
    = Slack (non-critical) :                 26.338

    Number of logic level(s):                11
    Starting point:                          i_SGefeApplication.TestCntr_c16[0] / Q
    Ending point:                            i_SGefeApplication.TestCntr_c16[12] / D
    The start point is clocked by            Osc25Mhz [rising] on pin CLK
    The end   point is clocked by            Osc25Mhz [rising] on pin CLK

Instance / Net                                             Pin      Pin               Arrival     No. of    
Name                                             Type      Name     Dir     Delay     Time        Fan Out(s)
------------------------------------------------------------------------------------------------------------
i_SGefeApplication.TestCntr_c16[0]               DFN1      Q        Out     0.797     0.797       -         
FmcTrstL_on_c_c_c_c_c_c_c_c_c                    Net       -        -       1.445     -           12        
i_SGefeApplication.TestCntr_c16_RNIPKFT[1]       NOR2B     B        In      -         2.242       -         
i_SGefeApplication.TestCntr_c16_RNIPKFT[1]       NOR2B     Y        Out     0.679     2.921       -         
TestCntr_c16_c1                                  Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_c16_RNING7C1[2]      NOR2B     B        In      -         3.200       -         
i_SGefeApplication.TestCntr_c16_RNING7C1[2]      NOR2B     Y        Out     0.679     3.879       -         
TestCntr_c16_c2                                  Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_c16_RNIMDVQ1[3]      NOR2B     B        In      -         4.159       -         
i_SGefeApplication.TestCntr_c16_RNIMDVQ1[3]      NOR2B     Y        Out     0.679     4.837       -         
TestCntr_c16_c3                                  Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_c16_RNIMBN92[4]      NOR2B     B        In      -         5.117       -         
i_SGefeApplication.TestCntr_c16_RNIMBN92[4]      NOR2B     Y        Out     0.679     5.796       -         
TestCntr_c16_c4                                  Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_c16_RNINAFO2[5]      NOR2B     B        In      -         6.075       -         
i_SGefeApplication.TestCntr_c16_RNINAFO2[5]      NOR2B     Y        Out     0.679     6.754       -         
TestCntr_c16_c5                                  Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_c16_RNIPA773[6]      NOR2B     B        In      -         7.034       -         
i_SGefeApplication.TestCntr_c16_RNIPA773[6]      NOR2B     Y        Out     0.679     7.712       -         
TestCntr_c16_c6                                  Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_c16_RNISBVL3[7]      NOR2B     B        In      -         7.992       -         
i_SGefeApplication.TestCntr_c16_RNISBVL3[7]      NOR2B     Y        Out     0.679     8.671       -         
TestCntr_c16_c7                                  Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_c16_RNI0EN44[8]      NOR2B     B        In      -         8.950       -         
i_SGefeApplication.TestCntr_c16_RNI0EN44[8]      NOR2B     Y        Out     0.679     9.629       -         
TestCntr_c16_c8                                  Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_c16_RNI5HFJ4[9]      NOR2B     B        In      -         9.909       -         
i_SGefeApplication.TestCntr_c16_RNI5HFJ4[9]      NOR2B     Y        Out     0.679     10.587      -         
TestCntr_c16_c9                                  Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_c16_RNIIT0Q4[10]     NOR2B     B        In      -         10.867      -         
i_SGefeApplication.TestCntr_c16_RNIIT0Q4[10]     NOR2B     Y        Out     0.679     11.546      -         
TestCntr_c16_c10                                 Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_c16_RNO[12]          AX1C      A        In      -         11.825      -         
i_SGefeApplication.TestCntr_c16_RNO[12]          AX1C      Y        Out     1.021     12.846      -         
TestCntr_c16_n12                                 Net       -        -       0.233     -           1         
i_SGefeApplication.TestCntr_c16[12]              DFN1      D        In      -         13.079      -         
============================================================================================================
Total path delay (propagation time + setup) of 13.662 is 9.186(67.2%) logic and 4.475(32.8%) route.
Path delay compensated for clock skew. Clock skew is added to clock-to-out value, and is subtracted from setup time value



##### END OF TIMING REPORT #####]

Timing exceptions that could not be applied
None

Finished final timing analysis (Real Time elapsed 0h:00m:07s; CPU Time elapsed 0h:00m:06s; Memory used current: 141MB peak: 146MB)


Finished timing report (Real Time elapsed 0h:00m:07s; CPU Time elapsed 0h:00m:06s; Memory used current: 141MB peak: 146MB)

--------------------------------------------------------------------------------
Target Part: A3PE3000L_FBGA896_STD
<a name=cellReport29></a>Report for cell SGefeTop.verilog</a>
  Core Cell usage:
              cell count     area count*area
              AND2    54      1.0       54.0
              AND3   194      1.0      194.0
               AO1    83      1.0       83.0
              AO1A   105      1.0      105.0
              AO1B    10      1.0       10.0
              AO1C    90      1.0       90.0
             AOI1B    38      1.0       38.0
               AX1     2      1.0        2.0
              AX1C     5      1.0        5.0
              AX1D     1      1.0        1.0
             AXOI3     1      1.0        1.0
             AXOI4     1      1.0        1.0
              BUFF     4      1.0        4.0
            CLKINT     2      0.0        0.0
               GND     8      0.0        0.0
               INV     6      1.0        6.0
               MX2   416      1.0      416.0
              MX2A     1      1.0        1.0
              MX2B     3      1.0        3.0
              NOR2   134      1.0      134.0
             NOR2A   545      1.0      545.0
             NOR2B   202      1.0      202.0
              NOR3    19      1.0       19.0
             NOR3A    94      1.0       94.0
             NOR3B    77      1.0       77.0
             NOR3C   171      1.0      171.0
               OA1   197      1.0      197.0
              OA1A    96      1.0       96.0
              OA1B     5      1.0        5.0
              OA1C     4      1.0        4.0
              OAI1     2      1.0        2.0
               OR2   226      1.0      226.0
              OR2A    38      1.0       38.0
              OR2B    17      1.0       17.0
               OR3    88      1.0       88.0
              OR3A     5      1.0        5.0
              OR3B     3      1.0        3.0
              OR3C     1      1.0        1.0
               VCC     8      0.0        0.0
               XA1    11      1.0       11.0
              XA1B     2      1.0        2.0
              XA1C    25      1.0       25.0
              XOR2   131      1.0      131.0


           DDR_OUT    43      0.0        0.0
           DDR_REG    41      0.0        0.0
              DFN1   553      1.0      553.0
            DFN1C0   132      1.0      132.0
            DFN1C1     8      1.0        8.0
            DFN1E0    38      1.0       38.0
            DFN1P0    11      1.0       11.0
                   -----          ----------
             TOTAL  3951              3849.0


  IO Cell usage:
              cell count
    BIBUF_LVCMOS25     1
   CLKBUF_LVCMOS25     1
       CLKBUF_LVDS     3
             INBUF   129
        INBUF_LVDS    47
            OUTBUF   211
       OUTBUF_LVDS    45
           TRIBUFF     3
                   -----
             TOTAL   440


Core Cells         : 3849 of 75264 (5%)
IO Cells           : 440

  RAM/ROM Usage Summary
Block Rams : 0 of 112 (0%)

Mapper successful!

At Mapper Exit (Real Time elapsed 0h:00m:07s; CPU Time elapsed 0h:00m:06s; Memory used current: 34MB peak: 146MB)

Process took 0h:00m:07s realtime, 0h:00m:06s cputime
# Thu Mar 22 18:42:18 2018

###########################################################]

</pre></samp></body></html>
